> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequence.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# FeeOptions



## OpenAPI

````yaml relayer-api.json post /rpc/Relayer/FeeOptions
openapi: 3.0.0
info:
  title: Relayer Api
  version: 0.0.1
servers:
  - url: https://amoy-relayer.sequence.app
    description: Amoy Relayer
  - url: https://apechain-relayer.sequence.app
    description: Apechain Relayer
  - url: https://apechain-testnet-relayer.sequence.app
    description: Apechain-Testnet Relayer
  - url: https://arbitrum-relayer.sequence.app
    description: Arbitrum Relayer
  - url: https://arbitrum-nova-relayer.sequence.app
    description: Arbitrum-Nova Relayer
  - url: https://arbitrum-sepolia-relayer.sequence.app
    description: Arbitrum-Sepolia Relayer
  - url: https://avalanche-relayer.sequence.app
    description: Avalanche Relayer
  - url: https://avalanche-testnet-relayer.sequence.app
    description: Avalanche-Testnet Relayer
  - url: https://b3-relayer.sequence.app
    description: B3 Relayer
  - url: https://b3-sepolia-relayer.sequence.app
    description: B3-Sepolia Relayer
  - url: https://base-relayer.sequence.app
    description: Base Relayer
  - url: https://base-sepolia-relayer.sequence.app
    description: Base-Sepolia Relayer
  - url: https://blast-relayer.sequence.app
    description: Blast Relayer
  - url: https://blast-sepolia-relayer.sequence.app
    description: Blast-Sepolia Relayer
  - url: https://bsc-relayer.sequence.app
    description: Bsc Relayer
  - url: https://bsc-testnet-relayer.sequence.app
    description: Bsc-Testnet Relayer
  - url: https://gnosis-relayer.sequence.app
    description: Gnosis Relayer
  - url: https://homeverse-relayer.sequence.app
    description: Homeverse Relayer
  - url: https://homeverse-testnet-relayer.sequence.app
    description: Homeverse-Testnet Relayer
  - url: https://immutable-zkevm-relayer.sequence.app
    description: Immutable-Zkevm Relayer
  - url: https://immutable-zkevm-testnet-relayer.sequence.app
    description: Immutable-Zkevm-Testnet Relayer
  - url: https://laos-relayer.sequence.app
    description: Laos Relayer
  - url: https://laos-sigma-testnet-relayer.sequence.app
    description: Laos-Sigma-Testnet Relayer
  - url: https://mainnet-relayer.sequence.app
    description: Mainnet Relayer
  - url: https://optimism-relayer.sequence.app
    description: Optimism Relayer
  - url: https://optimism-sepolia-relayer.sequence.app
    description: Optimism-Sepolia Relayer
  - url: https://polygon-relayer.sequence.app
    description: Polygon Relayer
  - url: https://polygon-zkevm-relayer.sequence.app
    description: Polygon-Zkevm Relayer
  - url: https://rootnet-relayer.sequence.app
    description: Rootnet Relayer
  - url: https://rootnet-porcini-relayer.sequence.app
    description: Rootnet-Porcini Relayer
  - url: https://sepolia-relayer.sequence.app
    description: Sepolia Relayer
  - url: https://skale-nebula-relayer.sequence.app
    description: Skale-Nebula Relayer
  - url: https://skale-nebula-testnet-relayer.sequence.app
    description: Skale-Nebula-Testnet Relayer
  - url: https://soneium-minato-relayer.sequence.app
    description: Soneium-Minato Relayer
  - url: https://soneium-relayer.sequence.app
    description: Soneium Relayer
  - url: https://toy-testnet-relayer.sequence.app
    description: Toy-Testnet Relayer
  - url: https://xai-relayer.sequence.app
    description: Xai Relayer
  - url: https://xai-sepolia-relayer.sequence.app
    description: Xai-Sepolia Relayer
  - url: https://xr-sepolia-relayer.sequence.app
    description: Xr-Sepolia Relayer
security: []
paths:
  /rpc/Relayer/FeeOptions:
    post:
      summary: FeeOptions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Relayer_FeeOptions_Request'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Relayer_FeeOptions_Response'
        4XX:
          description: Client error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcEndpoint'
                  - $ref: '#/components/schemas/ErrorWebrpcRequestFailed'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRoute'
                  - $ref: '#/components/schemas/ErrorWebrpcBadMethod'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRequest'
                  - $ref: '#/components/schemas/ErrorWebrpcClientDisconnected'
                  - $ref: '#/components/schemas/ErrorWebrpcStreamLost'
                  - $ref: '#/components/schemas/ErrorUnauthorized'
                  - $ref: '#/components/schemas/ErrorPermissionDenied'
                  - $ref: '#/components/schemas/ErrorMethodNotFound'
                  - $ref: '#/components/schemas/ErrorRequestConflict'
                  - $ref: '#/components/schemas/ErrorAborted'
                  - $ref: '#/components/schemas/ErrorGeoblocked'
                  - $ref: '#/components/schemas/ErrorInvalidArgument'
                  - $ref: '#/components/schemas/ErrorUnavailable'
                  - $ref: '#/components/schemas/ErrorQueryFailed'
                  - $ref: '#/components/schemas/ErrorNotFound'
                  - $ref: '#/components/schemas/ErrorInsufficientFee'
        5XX:
          description: Server error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcBadResponse'
                  - $ref: '#/components/schemas/ErrorWebrpcServerPanic'
                  - $ref: '#/components/schemas/ErrorWebrpcInternalError'
      security:
        - ApiKeyAuth:
            - AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
components:
  schemas:
    Relayer_FeeOptions_Request:
      type: object
      properties:
        wallet:
          type: string
        to:
          type: string
        data:
          type: string
        simulate:
          type: boolean
    Relayer_FeeOptions_Response:
      type: object
      properties:
        options:
          type: array
          description: '[]FeeOption'
          items:
            $ref: '#/components/schemas/FeeOption'
        sponsored:
          type: boolean
        quote:
          type: string
    ErrorWebrpcEndpoint:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcEndpoint
        code:
          type: number
          example: 0
        msg:
          type: string
          example: endpoint error
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcRequestFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcRequestFailed
        code:
          type: number
          example: -1
        msg:
          type: string
          example: request failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcBadRoute:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRoute
        code:
          type: number
          example: -2
        msg:
          type: string
          example: bad route
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorWebrpcBadMethod:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadMethod
        code:
          type: number
          example: -3
        msg:
          type: string
          example: bad method
        cause:
          type: string
        status:
          type: number
          example: 405
    ErrorWebrpcBadRequest:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRequest
        code:
          type: number
          example: -4
        msg:
          type: string
          example: bad request
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcClientDisconnected:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcClientDisconnected
        code:
          type: number
          example: -8
        msg:
          type: string
          example: client disconnected
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcStreamLost:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcStreamLost
        code:
          type: number
          example: -9
        msg:
          type: string
          example: stream lost
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorUnauthorized:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Unauthorized
        code:
          type: number
          example: 1000
        msg:
          type: string
          example: Unauthorized access
        cause:
          type: string
        status:
          type: number
          example: 401
    ErrorPermissionDenied:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: PermissionDenied
        code:
          type: number
          example: 1001
        msg:
          type: string
          example: Permission denied
        cause:
          type: string
        status:
          type: number
          example: 403
    ErrorMethodNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: MethodNotFound
        code:
          type: number
          example: 1003
        msg:
          type: string
          example: Method not found
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorRequestConflict:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: RequestConflict
        code:
          type: number
          example: 1004
        msg:
          type: string
          example: Conflict with target resource
        cause:
          type: string
        status:
          type: number
          example: 409
    ErrorAborted:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Aborted
        code:
          type: number
          example: 1005
        msg:
          type: string
          example: Request aborted
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorGeoblocked:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Geoblocked
        code:
          type: number
          example: 1006
        msg:
          type: string
          example: Geoblocked region
        cause:
          type: string
        status:
          type: number
          example: 451
    ErrorInvalidArgument:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: InvalidArgument
        code:
          type: number
          example: 2001
        msg:
          type: string
          example: Invalid argument
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorUnavailable:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Unavailable
        code:
          type: number
          example: 2002
        msg:
          type: string
          example: Unavailable resource
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorQueryFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: QueryFailed
        code:
          type: number
          example: 2003
        msg:
          type: string
          example: Query failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: NotFound
        code:
          type: number
          example: 3000
        msg:
          type: string
          example: Resource not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorInsufficientFee:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: InsufficientFee
        code:
          type: number
          example: 3004
        msg:
          type: string
          example: Insufficient fee
        cause:
          type: string
        status:
          type: number
          example: 402
    ErrorWebrpcBadResponse:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadResponse
        code:
          type: number
          example: -5
        msg:
          type: string
          example: bad response
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcServerPanic:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcServerPanic
        code:
          type: number
          example: -6
        msg:
          type: string
          example: server panic
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcInternalError:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcInternalError
        code:
          type: number
          example: -7
        msg:
          type: string
          example: internal error
        cause:
          type: string
        status:
          type: number
          example: 500
    FeeOption:
      type: object
      required:
        - token
        - to
        - value
        - gasLimit
      properties:
        token:
          $ref: '#/components/schemas/FeeToken'
        to:
          type: string
        value:
          type: string
        gasLimit:
          type: number
    FeeToken:
      type: object
      required:
        - chainId
        - name
        - symbol
        - type
        - logoURL
      properties:
        chainId:
          type: number
        name:
          type: string
        symbol:
          type: string
        type:
          $ref: '#/components/schemas/FeeTokenType'
        decimals:
          type: number
        logoURL:
          type: string
        contractAddress:
          type: string
        tokenID:
          type: string
    FeeTokenType:
      type: string
      description: Represented as uint32 on the server side
      enum:
        - UNKNOWN
        - ERC20_TOKEN
        - ERC1155_TOKEN
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      description: >-
        Public project access key for authenticating requests obtained on
        Sequence Builder. Example Test Key: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
      name: X-Access-Key

````